KERNEL(7)

NAME
kernel - operating system kernel

SYNOPSIS
/boot/sortix.bin [--init=init-command-line]

DESCRIPTION
/boot/sortix.bin is the operating system kernel. It initializes and manages the hardware to provide a multitasking computing environment. The kernel is a multiboot(7) compatible executable loaded by the bootloader along with a companion initrd(7) that contains a userland.

The kernel extracts the initrd into the initial kernel memory root filesystem and executes init(8) as /sbin/init. The computer is powered off if this process exits 0, rebooted if it exits 1, halted if it exits 2, and paniced otherwise.

The options are as follows:

--init=init-command-line
    The init-command-line argument is split into tokens and used as the command line to invoke the specified init(8).

SEE ALSO
initrd(7), init(8)